=pod

=head1 NAME

ossl_bio_print_hex
- Print a hexdump of a binary input

=head1 SYNOPSIS

 #include <crypto/x509.h>

 int ossl_bio_print_hex(BIO *out, unsigned char *buf, int len);

=head1 DESCRIPTION

This function prints a hexdump-like hexadecimal output to I<out> from a binary
input I<buf> that is I<len> bytes in length.

=head1 RETURN VALUES

Returns 1 if it succeeds in printing, and 0 if it failed.

=head1 COPYRIGHT

Copyright 2024 The OpenSSL Project Authors. All Rights Reserved.

Licensed under the Apache License 2.0 (the "License").  You may not use
this file except in compliance with the License.  You can obtain a copy
in the file LICENSE in the source distribution or at
L<https://www.openssl.org/source/license.html>.

=cut
